PSUTILS(1)

NUME
psutils

SINOPSIS
psutils [OPȚIUNE...] [FIȘIER_INTRARE [FIȘIER_IEȘIRE]]

DESCRIERE
Rearanjează paginile unui document PDF sau PostScript. Fișierul PostScript de intrare trebuie să respecte convențiile de structurare a documentelor Adobe.

Pstops poate fi utilizat pentru a efectua rearanjări arbitrare ale documentelor. Pentru multe sarcini, este mai simplu să se utilizeze celelalte instrumente din suita PSUtils: a se vedea psutils(1).

INFILE
    „-”sau fără argumentul FIȘIER_INTRARE înseamnă intrarea standard

OUTFILE
    „-”sau fără argumentul FIȘIER_IEȘIRE înseamnă ieșirea standard

OPȚIUNI

-S SPECS, --specs SPECS
    specificațiile paginii (a se vedea mai jos)

-R INTERVAL_PAGINI, --pages INTERVAL_PAGINI
    selectează intervalele de pagini indicate

-e, --even
    selectează paginile cu numere pare

-o, --odd
    selectează paginile cu numere impare

-r, --reverse
    inversează ordinea paginilor

-p HÂRTIE, --paper HÂRTIE
    numele sau dimensiunile hârtiei de ieșire (LĂȚIMExÎNĂLȚIME)

-P HÂRTIE_INTRARE, --inpaper HÂRTIE_INTRARE
    numele sau dimensiunile hârtiei de intrare (LĂȚIMExÎNĂLȚIME)

-d [DIMENSIUNE], --draw [DIMENSIUNE]
    trasează o linie de o lățime dată (în raport cu pagina originală) în jurul fiecărei pagini [argumentul implicit este 1pt; implicit este fără linie; lățimea este fixă pentru PDF].

-v, --version
    afișează numărul versiunii programului și iese

-q, --quiet
    nu afișează progresul

COMENTARII
PAGINI este o listă de pagini și intervale de pagini, separate prin virgule.

SPECIFICAȚII este o listă de specificații ale paginilor [valoarea implicită este „0”, care selectează fiecare pagină în ordinea sa normală].

Specificațiile paginii au următoarea sintaxă:

    specificații-pagină
        = [modul:]specificații

    specificații
        = specificație[+specificații|,specicificații]

    specificație
        = [-]număr-pagină[transformare..][@scalare][(xdecalare-orizontală,ydecalare-verticală)]

    transformare
        = L|R|U|H|V

modul este numărul de pagini din fiecare bloc. Valoarea modulului trebuie să fie mai mare decât 0; valoarea implicită este 1.

specificații sunt specificațiile de pagină pentru paginile din fiecare bloc. Valoarea număr-pagină din fiecare specificație trebuie să fie cuprinsă între 0 (pentru prima pagină din bloc) și modul-1 (pentru ultima pagină din fiecare bloc) inclusiv. În cazul în care există o singură specificație de pagină, număr-pagină (0) poate fi omis.

Dimensiunile opționale xdecalare-orizontală și ydecalare-verticală decalează pagina cu valoarea specificată. xdecalare-orizontală și ydecalare-verticală pot fi fie lungimi (a se vedea psutils(1)), fie urmate de w sau h pentru a indica un multiplu al lățimii sau înălțimii hârtiei de ieșire.

Transformările opționale L, R, U, H și V rotesc pagina la stânga, la dreapta sau cu susul în jos în jurul colțului său inferior stâng și o întorc (oglindesc) pe orizontală sau pe verticală. Parametrul opțional scalare redimensionează pagina cu factorul specificat. Dacă se specifică semnul opțional minus, numărul paginii este raportat la sfârșitul documentului, în loc de începutul acestuia.

Paginile ale căror specificații sunt separate de + vor fi unite într-o singură pagină; în caz contrar, ele vor rămâne ca pagini separate.

Decalarea, rotația și scalarea sunt aplicate matricei de transformare PostScript în această ordine, indiferent de ordinea în care apar în linia de comandă.

Numele dimensiunilor hârtiei sunt convertite în dimensiuni cu ajutorul paper(1). Dimensiunea paginii de ieșire, dacă este definită, este utilizată (după scalare) pentru a stabili traseul de tăiere pentru fiecare pagină.

EXEMPLE
Pentru a pune două pagini din seria A sau B (de exemplu, A4 sau B5) pe o singură foaie de hârtie, specificația de pagini care trebuie utilizată este:

2:0L@.7(1w,0)+1L@.7(1w,0.5h)

Pentru a selecta toate paginile impare în ordine inversă, utilizați:

2:-0

Pentru a rearanja paginile pentru imprimarea pliantelor de până la 2 (față-verso), utilizați

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h)

pentru părțile din față și

4:1L@.7(1w,0h)+-2L@.7(1w,0.5h)

pentru fețele verso sau, pentru imprimarea duplex cu margini lungi, uniți cele două specificații astfel:

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h),1L@.7(1w,0h)+-2L@.7(1w,0.5h)

Pentru duplexul cu margini scurte, „incantația” este:

4:-3L@.7(1w,0h)+0L@.7(1w,0.5h),1R@.7(0w,0.5h)+-2R@.7(0w,1h)

AUTOR

ERORI
pstops nu acceptă toate comentariile DSC.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.